{% load wagtailcore_tags wagtailimages_tags %}

<div class="flip-card" tabindex="0">
  <div class="flip-card-inner">
    <div
      class="flip-card-front rounded-3xl bg-cover"

      {% if self.background %}
        style="
          {% image self.background fill-1024x1024 as background_image %}

          background-image: url('{{ background_image.url }}')
        "
      {% endif %}
    >
      {% image self.image max-1000x1000 as resized_image %}

      <div
        class="relative h-[33rem] rounded-3xl overflow-hidden bg-cover"

        style="
          {% if not self.background %}
            background-color: #{{ self.bg_color }};
          {% endif %}

          {% if self.image %}
            {% image self.image max-1000x1000 as resized_image %}
            background-image:url('{{ resized_image.url }}')
          {% endif %}
        "
      >
        {% if not self.background %}
          <div
            class="
              absolute top-0 left-0

              border border-r-[27rem] border-r-[transparent]
              border-l-0 border-t-[33rem]
            "
            style="border-top-color: #{{ self.bg_color }}"
          ></div>
        {% endif %}

        <h1
          class="font-alt text-5xl whitespace-pre-line absolute top-10 left-10"

          {% if self.title_color %}
            style="color: #{{ self.title_color }}"
          {% endif %}
        >{{ self.title }}</h1>

        <div
          class="
            absolute bottom-4 right-4 block text-white opacity-75 text-right leading-5 font-condensed

            md:hidden
          "
        >
          Pro zobrazení detailů
          <br>
          se dotkni karty.
        </div>
      </div>
    </div>
    <div
      class="flip-card-back rounded-3xl p-10"
      style="background-color: #{{ self.bg_color }}"
    >
      <div class="prose prose-black">
        {{ self.content|richtext }}
      </div>

      {% if self.button_text and self.button_url %}
        <div class="flex justify-center items-center my-5">
          {% include 'styleguide2/includes/atoms/buttons/round_button.html' with text=self.button_text url=self.button_url show_arrow_on_hover=True %}
        </div>
      {% endif %}
    </div>
  </div>
</div>
